Bug 1769980 - CVE-2019-18408 libarchive: use-after-free in archive_read_format_rar_read_data when there is an error in the decompression of an archive entry [fedora-all]
Summary: CVE-2019-18408 libarchive: use-after-free in archive_read_format_rar_read_dat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libarchive
Version: 31
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Ondrej Dubaj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-18408
TreeView+ depends on / blocked
 
Reported: 2019-11-07 20:39 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-04-01 02:35 UTC (History)
8 users (show)

Fixed In Version: libarchive-3.3.3-7.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 09:54:18 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2019-11-07 20:39:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2019-11-07 20:39:20 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1769979,1769980

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Rick 2019-11-08 20:28:51 UTC
Wouldn't an update to the latest libarchive version fix this CVE for F29 and F30?

Comment 3 Rick 2019-11-09 02:40:34 UTC
FYI, NIST NVD CVE-2019-18408 lists the base severity as "HIGH".
https://nvd.nist.gov/vuln/detail/CVE-2019-18408

Comment 4 Fedora Update System 2019-11-18 13:36:24 UTC
FEDORA-2019-71b2273a9f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-71b2273a9f

Comment 5 Fedora Update System 2019-11-18 13:36:25 UTC
FEDORA-2019-fd2a963f4b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fd2a963f4b

Comment 6 Fedora Update System 2019-11-19 02:13:25 UTC
libarchive-3.3.3-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-71b2273a9f

Comment 7 Fedora Update System 2019-11-19 03:45:04 UTC
libarchive-3.3.3-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fd2a963f4b

Comment 8 Danil Grigorev 2020-02-02 07:35:07 UTC
This issue is fixed only in libarchive 3.4.1 according to https://github.com/libarchive/libarchive/wiki/ReleaseNotes

Comment 9 Danil Grigorev 2020-02-02 15:42:38 UTC
Sorry about my previous comment. It seems that this is CVE is fixed in 3.4.0. But there is a newer one here https://nvd.nist.gov/vuln/detail/CVE-2019-19221. I couldn't find it in bugzill though.

Comment 10 Ondrej Dubaj 2020-02-12 09:54:18 UTC
In f31, we currently have version 3.4.2, so this issue is already fixed.

Comment 11 Fedora Update System 2020-04-01 02:35:54 UTC
FEDORA-2019-71b2273a9f has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.